- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxProcessorXRefCopyUserLibrary Class Reference

Search for all occurrences

## Detailed Description

Specialized xref copy processor.

Definition at line 25 of file fbxprocessorxrefuserlib.h.

`#include <fbxprocessorxrefuserlib.h>`

Inheritance diagram for FbxProcessorXRefCopyUserLibrary:
[legend]

List of all members.

## Public Attributes
Properties
FbxPropertyT< FbxBool > | CopyAllAssets
FbxPropertyT< FbxBool > | CopyExternalAssets
FbxPropertyT< FbxBool > | CopyAbsoluteUrlAssets
## Protected Member Functions
| FbxProcessorXRefCopyUserLibrary (FbxManager &pManager, char const *pName)
bool | ConstructProperties (bool pForceSet)
virtual bool | ValidPropertyForXRefCopy (FbxObject *pObject, FbxProperty &lProperty) const

## Constructor & Destructor Documentation

FbxProcessorXRefCopyUserLibrary | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessorXRefCopy.

virtual bool ValidPropertyForXRefCopy | ( | FbxObject * | pObject,
|  | FbxProperty & | lProperty
| ) |  | const `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessorXRefCopy.

## Member Data Documentation

FbxPropertyT<FbxBool> CopyAllAssets

Search for all occurrences

Definition at line 36 of file fbxprocessorxrefuserlib.h.

FbxPropertyT<FbxBool> CopyExternalAssets

Search for all occurrences

Definition at line 43 of file fbxprocessorxrefuserlib.h.

FbxPropertyT<FbxBool> CopyAbsoluteUrlAssets

Search for all occurrences

Definition at line 49 of file fbxprocessorxrefuserlib.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessorxrefuserlib.h

FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary
FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary FbxProcessorXRefCopyUserLibrary